## atlc 4.6.1

=== debian/changelog ===
atlc (4.6.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Name (from ./configure), Repository.

  [ Bdale Garbee ]
  * fix test for zero length bytes to not fail if .pc/ contents are present
  * elide config.{sub,guess} from packaging repo since copied in during build, 
    closes: #1044081

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Feb 2024 22:24:51 -0700

atlc (4.6.1-5) unstable; urgency=medium

  * * Honour DEB_BUILD_OPTIONS=nocheck, closes: #976877

 -- Bdale Garbee <bdale@gag.com>  Sat, 19 Dec 2020 12:32:58 -0700

atlc (4.6.1-4) unstable; urgency=medium

  * fix typo in VCS entries in control

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Dec 2020 18:47:25 -0500

atlc (4.6.1-3) unstable; urgency=medium

  * incorporate changes in -2.1 NMU
  * move 'origin' to salsa to enable further collaboration with less effort

 -- Bdale Garbee <bdale@gag.com>  Fri, 27 Nov 2020 13:02:19 -0500

atlc (4.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957019)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 05 Aug 2020 12:17:38 +0100

atlc (4.6.1-2) unstable; urgency=medium

  * remove libgsl0-dev build dependency, closes: #823876
  * update to current standards version
  * update to current debhelper compat level
  * use dh_prep instead of dh_clean -k
  * use https for VCS link

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Dec 2017 21:06:57 -0700

atlc (4.6.1-1) unstable; urgency=low

  * new upstream version
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Mon, 26 Dec 2011 00:11:19 -0700

atlc (4.6.0-1) unstable; urgency=low

  * new upstream version
  * move make check from binary to build target so it doesn't run as root
  * lose --with-threads from configure call, since it causes regression suite
    to fail many tests and upstream's README.threads is discouraging
  * various tweaks to make lintian happier

 -- Bdale Garbee <bdale@gag.com>  Fri,  3 Jun 2005 04:53:28 -0600

atlc (4.4.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue,  2 Sep 2003 21:35:37 -0600

atlc (4.3.8-1) unstable; urgency=low

  * new upstream version, incorporating fixes I tested on top of 4.3.7

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Aug 2003 15:32:53 -0600

atlc (4.3.7-1) unstable; urgency=low

  * Initial Release.
  * patch try_linux.c and try_portable.c in tests/ at upstream's request to
    try and fix problems with --enable-hardware-info

 -- Bdale Garbee <bdale@gag.com>  Thu, 21 Aug 2003 01:56:08 -0600
