=== debian/control ===
Source: atlc
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 10)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/atlc
Vcs-Git: https://salsa.debian.org/debian/atlc.git

Package: atlc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: atlc-examples
Description: Arbitrary Transmission Line Calculator
 atlc is a computer aided design (CAD) package for the design and analysis
 of electrical transmission lines and directional couplers of totally
 arbitrary cross section and an arbitrary number of different dielectrics.
 .
 By analysis, it is assumed one requires finding the electrical properties
 of a transmission line or coupler, where the physical dimensions of the
 device are known.  By design, it is assumed one requires a transmission
 line or coupler to have certain electrical properties and one wishes to
 find how to physically realise such a structure
 .
 atlc likely to be of use to radio amateurs, professional RF engineers,
 students and academics.
 .
 More information on atlc is available at http://atlc.sourceforge.net/

Package: atlc-examples
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Examples for Arbitrary Transmission Line Calculator
 Contains a large number of example structures for analysis with atlc.
